#include "lm48100q.h"

void lm48100q_config_powerON()
{
    static uint8_t wr[2];
    wr[0] = LM48100Q_MODE_CONTROL;
    wr[1] = 0x14;                                                               // Upisom 0b0001 0100 u MODE CONTROL registar ukljucuje se modul i vrsi se selekcija ulaza input1.
    I2C2_Write(LM48100Q_ADDR0, wr, 2);
    while(I2C2_IsBusy());
    I2C2_Write(LM48100Q_ADDR1, wr, 2);
    while(I2C2_IsBusy());
}

void lm48100q_config_powerOFF()
{
    static uint8_t wr[2];
    wr[0] = LM48100Q_MODE_CONTROL;
    wr[1] = 0x00;                                                               // Upisom 0b0000 0000 u MODE CONTROL registar modul se iskljucuje.
    I2C2_Write(LM48100Q_ADDR0, wr, 2);
    while(I2C2_IsBusy());
    I2C2_Write(LM48100Q_ADDR1, wr, 2);
    while(I2C2_IsBusy());
}

void lm48100q_config_volume(uint8_t volume)
{

    static uint8_t wr[2];
    wr[0] = LM48100Q_VOLUME_CONTROL1;
    wr[1] = 0x60|volume;                                                        // Podesavanje pojacanja upisom vrednosti (5 bita-B4:B0) u VOLUME CONTROL registar: 0b 0 1 1 B4 B3 B2 B1 B0.
    I2C2_Write(LM48100Q_ADDR0, wr, 2);
    while(I2C2_IsBusy());
    I2C2_Write(LM48100Q_ADDR1, wr, 2);
    while(I2C2_IsBusy());
}

void lm48100q_set_volume(uint8_t volume)
{
    if(volume >= 0 && volume <=31)                                                    // Za pojacanje od 0 do 31:
        {
            lm48100q_config_powerOFF();                                         // Iskljucivanje pojacavaca.
            lm48100q_config_volume(volume);                                     // Podesavanje pojacanja.   
            lm48100q_config_powerON();                                          // Ukljucivanje pojacavaca i selekcija ulaza.
        }
}