/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _EXAMPLE_FILE_NAME_H    /* Guard against multiple inclusion */
#define _EXAMPLE_FILE_NAME_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

/* This section lists the other files that are included in this file.
 */

/* TODO:  Include other files here if needed. */

#include <stdint.h>
#include "config/default/peripheral/i2c/master/plib_i2c2_master.h"
/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif

// Slave adrese audio pojacavaca:
#define LM48100Q_ADDR0                      0X7C
#define LM48100Q_ADDR1                      0x7D
    
// Adrese registara:
#define LM48100Q_MODE_CONTROL               0x00
#define LM48100Q_DIAGNOSTIC_CONTROL         0x01
#define LM48100Q_FAULT_DETECTION_CONTROL    0x02
#define LM48100Q_VOLUME_CONTROL1           0x03
#define LM48100Q_VOLUME_CONTROL2           0x04

void lm48100q_config_volume (uint8_t volume);
void lm48100q_config_powerON();
void lm48100q_config_powerOFF();
void lm48100q_set_volume(uint8_t volume);


#ifdef __cplusplus
}
#endif

#endif /* _EXAMPLE_FILE_NAME_H */

/* *****************************************************************************
 End of File
 */
